<?php include_once "../../autoload.php";

$acao = $_POST["acao"];
unset($_POST["acao"]);
$data = new Evento();

// Todos os dados
$data->dados($_POST);

// debug_code($data);
if ($acao != "excluir") {
	$data->evento_inicio = Funcao::ConvertDateToMysql($data->evento_inicio);
	$data->evento_fim = Funcao::ConvertDateToMysql($data->evento_fim);
}

// Dados que precisam de conversões
switch ($acao) {
	case 'cadastrar':
		if ($data->cadastrar()) {
			Mensagem::feedback("Sucesso", "Cadastro realizado com sucesso", 1);
		}
		break;
	case 'editar':
		if ($data->alterar()) {
			Mensagem::feedback("Sucesso", "Cadastro alterado com sucesso", 2);
		}
		break;
	case 'excluir':
		if ($data->excluir()) {
			Mensagem::feedback("Sucesso", "Cadastro excluido com sucesso", 3);
		}
		break;

	default:
		Mensagem::feedback("Erro", "Ação do Forulario não encontrada");
		break;
}
